<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-layout}">
  <head id="head">

    <title data-th-text="#{label_edit_entity(#{label_bookingline})}">
    Edit BookingLine - Spring Roo application</title>

    <!-- DateTimePicker -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.min.css" data-th-href="@{/webjars/datetimepicker/2.5.4/build/jquery.datetimepicker.min.css}" />

  </head>
  

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content">

        <div class="container-fluid content" data-th-with="collectionLink=${@linkBuilder.of('BookingLinesCollectionThymeleafController')},itemLink=${@linkBuilder.of('BookingLinesItemThymeleafController')}">

          <h1 data-th-text="#{label_edit_entity(#{label_bookingline})}">Edit BookingLine</h1>

          <!-- FORM -->
          <form class="form-horizontal validate" method="POST" data-th-object="${bookingLine}" data-th-action="@{${itemLink.to('update').with('bookingLine', bookingLine.id)}}">
            <input type="hidden" name="_method" value="PUT" />
            <input type="hidden" name="version" data-th-value="*{version}" />

            <!-- CONCURRENCY CONTROL -->
            <div class="alert alert-warning" data-th-if="${concurrency}">
              <h2 data-th-text="#{label_concurrency_title}">Warning! This record has been updated by an other user.</h2>
              <div class="radio">
                <label>
                  <input type="radio" name="concurrency" value="apply"> <span data-th-text="#{label_concurrency_apply}">Apply my changes anyway</span> <i><span data-th-text="#{label_concurrency_apply_info}">(discard all the changes applied by the other users).</span></i>
                </input></label>
              </div>
              <div class="radio">
                <label>
                  <input type="radio" name="concurrency" value="discard" checked=""> <span data-th-text="#{label_concurrency_discard}">Discard all my changes and reload this record.</span>
                </input></label>
              </div>
              <br>
              <button type="submit" class="btn btn-primary">Accept</button>
            </br></div>
            <!-- /CONCURRENCY CONTROL -->

             <fieldset id="containerFields">
              <legend class="sr-only" data-th-text="#{label_data_entity(#{label_bookingline})}">BookingLine data </legend>

<div class="form-group has-error has-feedback" data-z="bd4ccefc" id="bookingline-description-field" data-th-classappend="${#fields.hasErrors('description')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="description" class="col-md-3 control-label" data-th-text="#{label_bookingline_description}">description</label>
  <div class="col-md-6">
    <input id="description" name="description" data-th-value="*{{description}}" type="text" class="form-control" placeholder="description" data-th-placeholder="#{label_bookingline_description}" data-toggle="tooltip" aria-describedby="descriptionStatus" required="required" maxlength="255" size="255" />
      <span data-th-classappend="${#fields.hasErrors('description')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('description')}" aria-hidden="true"></span>
      <span id="description-error" class="help-block" data-th-if="${#fields.hasErrors('description')}" data-th-errors="*{description}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" id="bookingline-cancelled-field" data-z="d10b5b9c" data-th-classappend="${#fields.hasErrors('cancelled')}? 'has-error has-feedback'" data-th-class="form-group">
  <label class="col-md-3 control-label" for="cancelled" data-th-text="#{label_bookingline_cancelled}">cancelled</label>
  <div class="col-md-6">
    <div class="checkbox">
      <input type="checkbox" data-th-field="*{cancelled}" data-th-title="#{label_requiredfield}" data-toggle="tooltip" />
       <span data-th-classappend="${#fields.hasErrors('cancelled')}? 'form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('cancelled')}" aria-hidden="true"></span>
        <span id="cancelled-error" class="help-block" data-th-if="${#fields.hasErrors('cancelled')}" data-th-errors="*{cancelled}">Error message.</span>
    </div>
  </div>
</div>
<div class="form-group has-error has-feedback" id="bookingline-fromdate-field" data-z="1e920882" data-th-classappend="${#fields.hasErrors('fromDate')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="fromDate" class="col-md-3 control-label" data-th-text="#{label_bookingline_fromdate}">fromDate</label>
  <div class="col-md-3">
    <input id="fromDate" name="fromDate" data-th-value="*{{fromDate}}" type="text" class="form-control datetimepicker" placeholder="fromDate" data-th-placeholder="#{label_bookingline_fromdate}" data-th-attr="data-dateformat=${fromDate_date_format}" data-toggle="tooltip" required="required" /> <span data-th-classappend="${#fields.hasErrors('fromDate')}? 'glyphicon glyphicon-remove form-control-feedback'" data-th-if="${#fields.hasErrors('fromDate')}" aria-hidden="true"></span>
     <span id="fromDate-error" class="help-block" data-th-if="${#fields.hasErrors('fromDate')}" data-th-errors="*{fromDate}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" id="bookingline-todate-field" data-z="a2256722" data-th-classappend="${#fields.hasErrors('toDate')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="toDate" class="col-md-3 control-label" data-th-text="#{label_bookingline_todate}">toDate</label>
  <div class="col-md-3">
    <input id="toDate" name="toDate" data-th-value="*{{toDate}}" type="text" class="form-control datetimepicker" placeholder="toDate" data-th-placeholder="#{label_bookingline_todate}" data-th-attr="data-dateformat=${toDate_date_format}" data-toggle="tooltip" required="required" /> <span data-th-classappend="${#fields.hasErrors('toDate')}? 'glyphicon glyphicon-remove form-control-feedback'" data-th-if="${#fields.hasErrors('toDate')}" aria-hidden="true"></span>
     <span id="toDate-error" class="help-block" data-th-if="${#fields.hasErrors('toDate')}" data-th-errors="*{toDate}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="a6cff31c" id="bookingline-pricecost-field" data-th-classappend="${#fields.hasErrors('priceCost')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="priceCost" class="col-md-3 control-label" data-th-text="#{label_bookingline_pricecost}">priceCost</label>
  <div class="col-md-3">
    <input id="priceCost" name="priceCost" data-th-value="*{{priceCost}}" type="text" class="form-control inputmask" placeholder="priceCost" data-th-placeholder="#{label_bookingline_pricecost}" data-toggle="tooltip" aria-describedby="priceCostStatus" data-inputmask-alias="numeric" data-inputmask-digits="2" required="required" min="0" />
      <span data-th-classappend="${#fields.hasErrors('priceCost')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('priceCost')}" aria-hidden="true"></span>
      <span id="priceCost-error" class="help-block" data-th-if="${#fields.hasErrors('priceCost')}" data-th-errors="*{priceCost}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="c26a167c" id="bookingline-pricesell-field" data-th-classappend="${#fields.hasErrors('priceSell')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="priceSell" class="col-md-3 control-label" data-th-text="#{label_bookingline_pricesell}">priceSell</label>
  <div class="col-md-3">
    <input id="priceSell" name="priceSell" data-th-value="*{{priceSell}}" type="text" class="form-control inputmask" placeholder="priceSell" data-th-placeholder="#{label_bookingline_pricesell}" data-toggle="tooltip" aria-describedby="priceSellStatus" data-inputmask-alias="numeric" data-inputmask-digits="2" required="required" min="0" />
      <span data-th-classappend="${#fields.hasErrors('priceSell')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('priceSell')}" aria-hidden="true"></span>
      <span id="priceSell-error" class="help-block" data-th-if="${#fields.hasErrors('priceSell')}" data-th-errors="*{priceSell}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="48ccb5e2" id="bookingline-status-field" data-th-classappend="${#fields.hasErrors('status')}? 'has-error has-feedback'" data-th-class="form-group">
    <label for="status" class="col-md-3 control-label" data-th-text="#{label_bookingline_status}">status</label>
    <div class="col-md-6">
      <!-- Select2 -->
      <select data-th-field="*{status}" class="form-control dropdown-select-simple" data-allow-clear="true" data-th-attr="data-placeholder=#{info_select_an_option}" required="required">
         <option data-th-each="item : ${status}" data-th-value="${item}" data-th-text="${{item}}">Value</option>
      </select>
      <span data-th-classappend="${#fields.hasErrors('status')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('status')}" aria-hidden="true"></span>
      <span id="status-error" class="help-block" data-th-if="${#fields.hasErrors('status')}" data-th-errors="*{status}">Error message.</span>
    </div>
</div>
<div class="form-group has-error has-feedback" data-z="957b54a2" id="bookingline-contractclientprovider-field" data-th-classappend="${#fields.hasErrors('contractClientProvider')}? 'has-error has-feedback'" data-th-class="form-group" data-th-with="collectionLink=${@linkBuilder.of('ContractClientProvidersCollectionThymeleafController')}">
    <label for="contractClientProvider" class="col-md-3 control-label" data-th-text="#{label_bookingline_contractclientprovider}">ContractClientProvider</label>
    <div class="col-md-6">
      <!-- Select2 -->
      <select data-th-field="*{contractClientProvider}" class="form-control dropdown-select-ajax" data-allow-clear="true" data-data-ajax--url="${collectionLink.to('select2')}" data-ajax--cache="true" data-ajax--delay="250" data-ajax--data-type="json" data-data-placeholder="#{info_select_an_option}">
          <option data-th-unless="*{contractClientProvider} == null" data-th-value="*{contractClientProvider.id}" data-th-text="*{{contractClientProvider}}" selected="selected">ContractClientProvider</option>
      </select>
      <span data-th-classappend="${#fields.hasErrors('contractClientProvider')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('contractClientProvider')}" aria-hidden="true"></span>
      <span id="contractClientProvider-error" class="help-block" data-th-if="${#fields.hasErrors('contractClientProvider')}" data-th-errors="*{contractClientProvider}">Error message.</span>
    </div>
</div>
             </fieldset>


              <!-- buttons form -->
              <div class="form-group">
                <div class="col-md-12">
                  <div class="pull-left">
                    <button type="reset" class="btn btn-default" onclick="location.href='list.html'" data-th-onclick="'location.href=\'' + @{${collectionLink.to('list')}} + '\''" data-th-text="#{label_reset}">Cancel</button>
                  </div>
                  <div class="pull-right">
                    <button type="submit" class="btn btn-primary" data-th-text="#{label_save}">Save</button>
                  </div>
                </div>
              </div>

          </form>
          <!-- /FORM -->

        </div>

      </section>
      <!-- /CONTENT -->
   </div>
   <!-- /CONTAINER -->

   <footer class="container">
    <!-- Content replaced by layout of the page displayed -->
   </footer>

  <!-- JavaScript
  ================================================== -->
  <!-- Placed at the end of the document so that the pages load faster -->
  <!-- JavaScript loaded by layout of the page displayed -->
  <!--
       Only the inner content of the following tag "javascript" is included
       within the template, in the div "javascript"
      -->
  <div data-layout-fragment="javascript">

    <!-- DateTimePicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.full.min.js" data-th-src="@{/webjars/datetimepicker/build/jquery.datetimepicker.full.min.js}"></script>
    <script src="../../static/public/js/datetimepicker-defaults.js" data-th-src="@{/public/js/datetimepicker-defaults.js}"></script>

    <!-- jquery.inputmask -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/3.3.1/jquery.inputmask.bundle.min.js" data-th-src="@{/webjars/jquery.inputmask/min/jquery.inputmask.bundle.min.js}"></script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
        jQuery(document).ready(
      	  function() {
      	    Inputmask.extendAliases({
      	      'numeric' : {
      	         'groupSeparator' : /*[[#{label_inputmask_groupSeparator}]]*/'.',
      	         'radixPoint' : /*[[#{label_inputmask_radixPoint}]]*/','
      	       },
      	       'currency' : {
      	          'prefix' : /*[[#{label_inputmask_prefix}]]*/'',
      	          'suffix' : /*[[#{label_inputmask_suffix}]]*/' €'
      	        }
      	    });
      	 });
       })(jQuery);
    </script>
    <script src="../../static/public/js/inputmask-defaults.js" data-th-src="@{/public/js/inputmask-defaults.js}"></script>

    <!-- JQuery Validation -->
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/jquery.validate.min.js" data-th-src="@{/webjars/jquery-validation/dist/jquery.validate.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/additional-methods.min.js" data-th-src="@{/webjars/jquery-validation/dist/additional-methods.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/localization/messages_es.js" data-th-src="@{/webjars/jquery-validation/src/localization/messages_}+${#locale.language}+'.js'" data-th-if="${#locale.language} != 'en'">
      </script>
    <script src="../../static/public/js/validation-defaults.js" data-th-src="@{/public/js/validation-defaults.js}">
      </script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
         jQuery(document).ready(function() {
      	   jQuery.extend( jQuery.validator.messages, {
      	     'dateformat' : /*[[#{error_invalid_date}]]*/ 'Please enter a correct date/time',
      	     'inputmask': /*[[#{error_invalid_maskValue}]]*/ 'Please enter a valid value',
      	   });
      	 });
      })(jQuery);
      </script>

    </div>

  </body>

</html>
